How to install fxruby on linux now?


#1

hello ,i want to install fxruby to linux , my linux is fedora but if you install fxruby near this time to any unix , please help me
i several try to it, but dos not know any lib


#2

hello , and thanks mr. hellekin for attention

i install all this :
ruby-devel.x86_64
fox-devel.x86_64
sudo dnf install redhat-rpm-config
yum groupinstall 'Development Tools'
yum group info 'Development Tools'
yum -y install gcc ruby-devel rubygems compass
gcc compt
gcc-c++-x86_64-linux-gnu.x86_64
gcc-c++
[
gcc-c+±8.2.1-4.fc28.x86_64 C++ support for GCC
libstdc+±devel-8.2.1-4.fc28.x86_64 Header files and libraries for C++ development
]
sudo dnf install libpng12-devel.x86_64

gem install fxruby
that say

Blockquote
checking for fox per pkg-config… yes
checking for fxscintilla per pkg-config… no
checking for fxscintilla on Ubuntu with missing libfxscintilla.so link… no
checking for fxscintilla build… no
checking for sys/time.h… yes
checking for signal.h… yes
checking for deflate() in -lz… yes
checking for png_create_read_struct() in -lpng… no
checking for jpeg_mem_init() in -ljpeg… no
checking for TIFFSetErrorHandler() in -ltiff… no
checking for XftInit() in -lXft… no
checking for XShmQueryVersion() in -lXext… no
checking for XFindContext() in -lX11… no
checking for glXCreateContext() in -lGL… no
checking for gluNewQuadric() in -lGLU… no
checking for thread local variables… yes
checking for rb_thread_call_without_gvl()… no
checking for rb_during_gc()… no
creating extconf.h
creating Makefile


#3

Looks like you need to install more development dependencies.


#4

yes , thanks .after i fund all dependencies , i write them.


#5

Install FOX Dependencies for linux (aptitude)

sudo aptitude install zlib1g-dev libbz2-dev libpng12-dev libjpeg62-dev libtiff4-dev

sudo aptitude install libx11-dev libglu1-xorg-dev libxcursor-dev libxext-dev libxrandr-dev libxft2-dev


solved for fedora


i installed all of them :

ruby-devel.x86_64

fox-devel.x86_64

sudo dnf install redhat-rpm-config

yum groupinstall 'Development Tools'

yum group info 'Development Tools' yum -y install gcc ruby-devel
rubygems compass

gcc compt gcc-c++-x86_64-linux-gnu.x86_64

gcc-c++

[
gcc-c+±8.2.1-4.fc28.x86_64 C++ support for GCC
libstdc+±devel-8.2.1-4.fc28.x86_64 Header files and libraries for C++ development

]

sudo dnf install libpng12-devel.x86_64

sudo dnf install libb2-devel.x86_64

sudo dnf install libX11-devel

sudo dnf install libXcursor-devel.x86_64

sudo dnf install libXext-devel.x86_64 libXrandr-devel.x86_64

gem install fxruby


Who to install fxruby on eclipse ? i installed preference but dont load fox16! when i attach fox16 to preference by address dont know fox16_c
What are needed lib or dependancy of fxruby and their adress now?